hslua-core-2.3.2: Bindings to Lua, an embeddable scripting language

Copyright | © 2019-2024 Albert Krewinkel
License | MIT
Maintainer | Albert Krewinkel <tarleb@hslua.org>
Safe Haskell | None
Language | Haskell2010

HsLua.Core.Unsafe

Description

Unsafe Lua functions.

This module exports functions which conflict with those in `Core`. It is intended to be imported qualified.

Synopsis

- next :: StackIndex -> LuaE e Bool

# Documentation

next :: StackIndex -> LuaE e Bool Source #

Wrapper for `lua_next`.

WARNING: `lua_next` is unsafe in Haskell: This function will cause an unrecoverable crash an error if the given key is neither `nil` nor present in the table. Consider using the safe ``next`` function in HsLua.Core instead.